Page MenuHomePhabricator

Provide failover capacity for package installations from main mirror
Closed, ResolvedPublic

Description

Currently we use our public mirror (mirrors.wikimedia.org) as the main source to install packages (except apt.wikimedia.org for WMF-local packages and security.debian.org for security updates, which are not mirrored).

That's working well, but mirrors.wikimedia.org is a non-redundant server, so if it goes down (for a failure of any sort or for a reimage) package installations (and all Puppet runs) would fail. It doesn't make sense to setup a second mirror just for that edge case, but we should create the possibility to switch to a different Debian mirror temporarily (ideally deb.debian.org). For that to happen we need two things:

  • Manage /etc/apt/sources.list with Puppet (T158562)
  • Allow deb.debian.org (or whatever mirror gets configured in Hiera) in the proxies

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2020, 9:09 AM
ArielGlenn triaged this task as Medium priority.Sep 28 2020, 10:05 AM

Change 633172 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add an apt proxy config for deb.debian.org

https://gerrit.wikimedia.org/r/633172

Change 633172 merged by Muehlenhoff:
[operations/puppet@production] Add an apt proxy config for deb.debian.org

https://gerrit.wikimedia.org/r/633172

Change 634023 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Make the mirror to use configurable via Hiera

https://gerrit.wikimedia.org/r/634023

Change 634023 merged by Muehlenhoff:
[operations/puppet@production] Make the mirror to use configurable via Hiera

https://gerrit.wikimedia.org/r/634023

MoritzMuehlenhoff closed this task as Resolved.Oct 19 2020, 9:55 AM

This is complete: The package mirror can now be set via profile::base::mirror_server (and still defaults to mirrors.wikimedia.org)